Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

team_id
string
required

Body

application/json

A request to create a BIS-LLM model

resources
Resources · object
required

Resources allocated to the model

name
string
required

Name of the model

region
string | null

Region in which to deploy the model

llm_version
string | null

Version of the helm chart to use.

llm_config
Llm Config · object

Configuration specific to the LLM model

environment_variables
Environment Variables · object

Environment variables for the model

model_metadata
Model Metadata · object | null

Model metadata persisted into model_config

autoscaling_settings
UpdateAutoscalingSettingsV1 · object | null

Autoscaling settings for the model

Example:
additional_autoscaling_config
Additional Autoscaling Config · object | null

Additional autoscaling configuration (e.g. target in-flight tokens)

Example:
metadata
Metadata · object | null

User-defined metadata for the deployment

Example:
weights
Weights · object[] | null

Weight configurations for BDN model weight distribution

Example:

Response

200 - application/json

Handle for a BIS-LLM model deployment.

model_id
string
required

Unique identifier of the model

version_id
string
required

Unique identifier of the model version

hostname
string
required

Hostname used to invoke the model

instance_type_name
string | null

Name of the instance type the model deployment is running on